# - Config file for the IGNITION-MSGS package.
#
# For finding and loading IGNITION-MSGS from your project, type:
#
# find_package(ignition-msgs0)
#
# It defines the following variables:
#
#  ignition-msgs0_FOUND       - System has IGNITION-MSGS.
#  IGNITION-MSGS_INCLUDE_DIRS - include directories for IGNITION-MSGS and its dependencies.
#  IGNITION-MSGS_LIBRARY_DIRS - Paths in which the linker should search for libraries.
#  IGNITION-MSGS_LIBRARIES    - Libraries to link against.
#  IGNITION-MSGS_CXX_FLAGS    - Compiler flags for compiling C++ sources.
#  IGNITION-MSGS_LDFLAGS      - Linker flags.

if (IGNITION-MSGS_CONFIG_INCLUDED)
  return()
endif()
set(IGNITION-MSGS_CONFIG_INCLUDED TRUE)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ignition-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/i386-linux-gnu/cmake/ignition-msgs0/" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if(NOT TARGET ignition-msgs0)
  include("${CMAKE_CURRENT_LIST_DIR}/ignition-msgs0-targets.cmake")
endif()

list(APPEND IGNITION-MSGS_CXX_FLAGS -std=c++11)
if ("${CMAKE_CXX_COMPILER_ID} " MATCHES "Clang ")
  set(IGNITION-MSGS_CXX_FLAGS "${IGNITION-MSGS_CXX_FLAGS} -stdlib=libc++")
endif ()

# On windows we produce .dll libraries with no prefix
if (WIN32)
 set(CMAKE_FIND_LIBRARY_PREFIXES "")
 set(CMAKE_FIND_LIBRARY_SUFFIXES ".lib" ".dll")
endif()

# Compatibility
set(IGNITION-MSGS_LIBRARIES ignition-msgs0)
set(IGNITION-MSGS_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include/ignition/msgs0")
set(IGNITION-MSGS_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib/i386-linux-gnu")
set(IGNITION-MSGS_LDFLAGS      "-L${PACKAGE_PREFIX_DIR}/lib/i386-linux-gnu")

find_package(ignition-math2 REQUIRED)
check_required_components(ignition-math2)
list(APPEND IGNITION-MSGS_INCLUDE_DIRS ${IGNITION-MATH_INCLUDE_DIRS})
list(APPEND IGNITION-MSGS_LIBRARY_DIRS ${IGNITION-MATH_LIBRARY_DIRS})
list(APPEND IGNITION-MSGS_LIBRARIES ${IGNITION-MATH_LIBRARIES})
